## Example configuration file

[General]
## Location of the cache file
## Default value is:
# cache = ~/.cache/metaindex/index.db

## Location of the server socket that local clients may
## connect to. On modern systems it will default to /var/run/<uid>.
## But if that doesn't exist, $HOME/.local/state will be used.
# socket =

## Whether or not to look for metadata files in
## all parent directories of a file.
# recursive-extra-metadata = yes

## What sidecar metadata files may apply collection
## metadata in their subdirectories, too.
# recursive-collection-metadata = .metadata.json

## What directories and their subdirectories to ignore
## The directories are listed one per line.
# ignore-dirs = .git
#     System Volume Information

## What tags to not include in the index in a
## comma-separated list.
# ignore-tags = Exif.Image.StripByteCounts, Exif.Image.StripOffsets

[Server]
# logfile =

# loglevel = warning

# autostart = yes

[Synonyms]
## This section defines synonyms for metadata tags.
## For example, if you search for 'author', the following
## rule will make sure that also things like 'Exif.Image.Artist'
## is found (this is a default value):
#author = extra.author, extra.artist, extra.creator, id3.artist, pdf.Author, rules.author, Exif.Image.Artist, comicbook.writer, xmp.dc.name

## Other defaults are:
#type = extra.type, rules.type, xmp.dc.type
#date = extra.date, rules.date, comicbook.date
#title = extra.title, opf.title, id3.title, rules.title, pdf.Title, filetags.title, abs.title, comicbook.title, Xmp.dc.title
#tag = extra.tag, extra.tags, pdf.Keywords, pdf.Categories, Xmp.dc.subject, extra.subject, rules.tags, rules.tag, rules.subject, pdf.Subject, comicbook.tags, opf.subject
#language = opf.language, pdf.Language, Xmp.dc.language, extra.language, rules.language, comicbook.language, ocr.language
#series = extra.series, comicbook.series
#series_index = extra.series_index, comicbook.number

[Indexer:rule-based]
## This section is used to tell the rule based indexer what
## rule files to use. You can add a rule file likst this:
# these_rules = ~/.rules.txt
# others = ~/.local/share/metaindex/more_rules.txt

